Subject: Re: Add option to keep colorization in comint, use it in python.el

From: Juri Linkov <[email-masked]>
Date: Tue, 22 Oct 2019 23:37:31 +0300

>> But I wonder if you could just replace add-text-properties with
>> add-face-text-property?  It will keep your previous text properties
>> and will just merge them with the comint-highlight-input face.
>
> I'm not sure about this:
>
>> If any text in the region already has a non-nil ‘face’ property, those
>> face(s) are retained.
>
> Is the default face represented as a nil face property? Will it be
> overridden? In that case the mix could be ugly.

Merging with nil is a no-op anyway.

> In general I'd prefer to keep both paths of execution as separate as
> possible so as to avoid regressions.

The result would be very nice when font-lock faces that highlight keywords
are merged with the background color specified by the comint-highlight-input
face.